<div class="col-md-4 col-md-offset-4" id="login" *ngIf="showForm">
    <section id="inner-wrapper" class="login">
        <article>
            <form [formGroup]="registerForm" (ngSubmit)="onRegisterFormSubmit(); showForm=false;">
                <div class="form-group" class="has-error">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="fa fa-user"> </i></span>
                        <input type="text" class="form-control" [ngClass]="{'is-invalid':hasError('name')}"
                            placeholder="Name" formControlName="name">
                    </div>
                </div>
                <div class="error" *ngIf="errorsFromInput('name').length > 0">
                    <ul>
                        <li *ngFor="let errorMessage of errorsFromInput('name')">{{errorMessage}}</li>
                    </ul>
                </div>
                <div class="form-group" class="has-error">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="fa fa-user"> </i></span>
                        <input type="text" class="form-control" [ngClass]="{'is-invalid':hasError('surname')}"
                            placeholder="Surname" formControlName="surname">
                    </div>
                </div>
                <div class="error" *ngIf="errorsFromInput('surname').length > 0">
                    <ul>
                        <li *ngFor="let errorMessage of errorsFromInput('surname')">{{errorMessage}}</li>
                    </ul>
                </div>
                <div class="form-group" class="has-error">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="fa fa-envelope"> </i></span>
                        <input type="email" class="form-control" [ngClass]="{'is-invalid':hasError('email')}"
                            placeholder="Email Address" formControlName="email">
                    </div>
                </div>
                <div class="error" *ngIf="errorsFromInput('email').length > 0">
                    <ul>
                        <li *ngFor="let errorMessage of errorsFromInput('email')">{{errorMessage}}</li>
                    </ul>
                </div>
                <div class="form-group" class="has-error">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="fa fa-key"> </i></span>
                        <input type="username" class="form-control" [ngClass]="{'is-invalid':hasError('username')}"
                            placeholder="Username" formControlName="username">
                    </div>
                </div>
                <div class="error" *ngIf="errorsFromInput('username').length > 0">
                    <ul>
                        <li *ngFor="let errorMessage of errorsFromInput('username')">{{errorMessage}}</li>
                    </ul>
                </div>
                <div class="form-group" class="has-error">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="fa fa-key"> </i></span>
                        <input type="password" class="form-control" [ngClass]="{'is-invalid':hasError('password')}"
                            placeholder="Password" formControlName="password">
                    </div>
                </div>
                <div class="error" *ngIf="errorsFromInput('password').length > 0">
                    <ul>
                        <li *ngFor="let errorMessage of errorsFromInput('password')">{{errorMessage}}</li>
                    </ul>
                </div>
                <div class="form-group" class="has-error">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="fa fa-key"> </i></span>
                        <input type="password" class="form-control" [ngClass]="{'is-invalid':hasError('password1')}"
                            placeholder="Repeat password" formControlName="password1">
                    </div>
                </div>
                <div class="error" *ngIf="errorsFromInput('password1').length > 0">
                    <ul>
                        <li *ngFor="let errorMessage of errorsFromInput('password1')">{{errorMessage}}</li>
                    </ul>
                </div>
                <button type="submit" class="btn btn-success btn-block">Submit</button>
            </form>
        </article>
    </section>
</div>